> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan Animate

> Wan Animate API 可根据参考视频让角色图片动起来，或替换视频中的人物并保留其动作和表情，最高 720p。

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.poyo.ai/zh/api-manual/task-management/status.md)接口获取结果。

Wan Animate 基于阿里巴巴的 Wan2.2-Animate 模型，这是一个 14B 参数的开源数字人视频生成模型。它能准确捕捉参考视频中的面部表情和身体动作，并应用到目标图片上，实现自然的角色动画和角色替换，同时保留真实的光照和色彩。

## 模型

* **wan-animate-replace** - 用源图片中的角色替换视频中的角色，同时保留表情和动作
* **wan-animate-move** - 使用参考视频中的动作让角色图片动起来

## 分辨率

* **480p** - 标清（默认）
* **580p** - 增强清晰度
* **720p** - 高清质量


## OpenAPI

````yaml zh/api-manual/video-series/wan-animate.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - Wan Animate API
  description: Wan Animate API 根据参考视频让角色图像动起来，或在保留动作和表情的同时替换视频中的人物，最高支持 720p。
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Wan Animate
      summary: 提交 Wan Animate 任务
      description: AI 驱动的角色动画与替换。从参考视频中准确捕捉面部表情和肢体动作，并应用到目标图像上
      operationId: submitWanAnimateTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              wan-animate-replace:
                summary: Wan Animate 替换
                value:
                  model: wan-animate-replace
                  callback_url: https://your-domain.com/callback
                  input:
                    video_url: https://example.com/source.mp4
                    image_urls:
                      - https://example.com/replace.jpg
                    resolution: 480p
              wan-animate-move:
                summary: Wan Animate 动作迁移
                value:
                  model: wan-animate-move
                  callback_url: https://your-domain.com/callback
                  input:
                    video_url: https://example.com/source.mp4
                    image_urls:
                      - https://example.com/move.jpg
                    resolution: 480p
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 未授权：API Key 无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          description: Wan Animate 模型标识符
          enum:
            - wan-animate-replace
            - wan-animate-move
        callback_url:
          type: string
          format: uri
          description: 接收结果通知的 Webhook 回调 URL
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - video_url
            - image_urls
          description: 动画生成的输入参数
          properties:
            video_url:
              type: string
              format: uri
              description: 用于提取动作的源视频 URL
              example: https://example.com/source.mp4
            image_urls:
              type: array
              items:
                type: string
                format: uri
              minItems: 1
              maxItems: 1
              description: 要动起来的目标图像 URL（仅允许 1 张图像）
              example:
                - https://example.com/target.jpg
            resolution:
              type: string
              description: 输出视频分辨率
              enum:
                - 480p
                - 580p
                - 720p
              default: 480p
              example: 480p
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
              description: 任务唯一标识，用于查询任务状态
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
              description: 任务创建时间，ISO 8601 格式
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
            type:
              type: string
              example: invalid_request_error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.